package com.app.framework.core.log.result;

/**
 * 日志列对象
 * 	操作的列信息
 */
public class LogColumn {

	private String columnKey;
	private String columnName;
	private Object columnValue;
	
	public LogColumn(String columnKey, String columnName, Object columnValue) {
		super();
		this.columnKey = columnKey;
		this.columnName = columnName;
		this.columnValue = columnValue;
	}

	public String getColumnKey() {
		return columnKey;
	}

	public void setColumnKey(String columnKey) {
		this.columnKey = columnKey;
	}

	public String getColumnName() {
		return columnName;
	}

	public void setColumnName(String columnName) {
		this.columnName = columnName;
	}

	public Object getColumnValue() {
		return columnValue;
	}

	public void setColumnValue(Object columnValue) {
		this.columnValue = columnValue;
	}
	
	public boolean isColumnValueEmpty() {
		if (columnValue == null || columnValue.toString().equals(""))
			return true;
		return false;
	}
}
